Increment download count
curl --request PATCH \
--url http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-count \
--header 'Content-Type: application/json' \
--data '
{
"product": "63f76655c31eea543580fddc",
"token": "f356690d3ec055222a50bdd8521f1b175175bd29aac3c687cb6a04a72509dbff45a49f9733d43c60cba77530635fa05c5a0c655f2c700dc781468dd3b18d019a8a77219c67effa1e8ef8f8b8275df0463c86d71575be779ee5775ea5252e2186",
"variant": "63f76655c31eea543580fdda"
}
'import requests
url = "http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-count"
payload = {
"product": "63f76655c31eea543580fddc",
"token": "f356690d3ec055222a50bdd8521f1b175175bd29aac3c687cb6a04a72509dbff45a49f9733d43c60cba77530635fa05c5a0c655f2c700dc781468dd3b18d019a8a77219c67effa1e8ef8f8b8275df0463c86d71575be779ee5775ea5252e2186",
"variant": "63f76655c31eea543580fdda"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
product: '63f76655c31eea543580fddc',
token: 'f356690d3ec055222a50bdd8521f1b175175bd29aac3c687cb6a04a72509dbff45a49f9733d43c60cba77530635fa05c5a0c655f2c700dc781468dd3b18d019a8a77219c67effa1e8ef8f8b8275df0463c86d71575be779ee5775ea5252e2186',
variant: '63f76655c31eea543580fdda'
})
};
fetch('http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Orders - Redeem digital assets
Increment download count
PATCH
/
{shopId}
/
orders
/
{orderId}
/
download-count
Increment download count
Path Parameters
Example:
"63f781e930ae0150c2317afa"
Query Parameters
Example:
"ecc5df9c2333af7fb3b3822ef673e7dffe07edbff47eb49e41a5909319b58e866e95f20fb746ac0e8399f794748b4697dff95b9ed2d492487f2314ee4c4af659e5664a028f4c0163b7a9b7f40b7363094d5fd5a91a3a004e33e15919b1f559e0"
Body
application/json
Example:
"63f76655c31eea543580fddc"
Example:
"f356690d3ec055222a50bdd8521f1b175175bd29aac3c687cb6a04a72509dbff45a49f9733d43c60cba77530635fa05c5a0c655f2c700dc781468dd3b18d019a8a77219c67effa1e8ef8f8b8275df0463c86d71575be779ee5775ea5252e2186"
Example:
"63f76655c31eea543580fdda"
Response
200 - undefined
Was this page helpful?
⌘I